data:extend(
{
  {
    type = "particle",
    name = "haematit-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures =
    {
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-1.png",
        priority = "extra-high",
        tint = {r=0.40, g=0.30, b=0.30},
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-2.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-3.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-4.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 9,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-5.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-6.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 6,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-7.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 7,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-8.png",
        priority = "extra-high",
        tint = {r=0.21, g=0.25, b=0.24},
        width = 6,
        height = 5,
        frame_count = 1
      }
    },
    shadows =
    {
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-5.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-6.png",
        priority = "extra-high",
        width = 6,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-7.png",
        priority = "extra-high",
        width = 7,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__grundoxores__/graphics/entity/ores-particle/ore-particle-shadow-8.png",
        priority = "extra-high",
        width = 6,
        height = 5,
        frame_count = 1
      }
    }
  }
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "haematit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "haematit"
   },
   {
   type = "resource",
   name = "haematit",
   icon = "__grundoxores__/graphics/icons/haematit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.337, g=0.419, b=0.427},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "haematit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "haematit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "haematit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "haematit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/haematit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "magnetit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "magnetit"
   },
   {
   type = "resource",
   name = "magnetit",
   icon = "__grundoxores__/graphics/icons/magnetit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.337, g=0.419, b=0.427},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "magnetit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "magnetit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "magnetit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "magnetit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/magnetit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "siderit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "siderit"
   },
   {
   type = "resource",
   name = "siderit",
   icon = "__grundoxores__/graphics/icons/siderit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.337, g=0.419, b=0.427},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "siderit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "siderit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "siderit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "siderit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/siderit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "limonit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "limonit"
   },
   {
   type = "resource",
   name = "limonit",
   icon = "__grundoxores__/graphics/icons/limonit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.337, g=0.419, b=0.427},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "limonit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "limonit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "limonit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "limonit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/limonit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "buntkupferkies",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "buntkupferkies"
   },
   {
   type = "resource",
   name = "buntkupferkies",
   icon = "__grundoxores__/graphics/icons/buntkupferkies.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.803, g=0.388, b=0.215},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "buntkupferkies"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "buntkupferkies",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "buntkupferkies",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "buntkupferkies",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/buntkupferkies-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "chalkopyrit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "chalkopyrit"
   },
   {
   type = "resource",
   name = "chalkopyrit",
   icon = "__grundoxores__/graphics/icons/chalkopyrit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.803, g=0.388, b=0.215},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "chalkopyrit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "chalkopyrit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "chalkopyrit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "chalkopyrit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/chalkopyrit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "chalkosin",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "chalkosin"
   },
   {
   type = "resource",
   name = "chalkosin",
   icon = "__grundoxores__/graphics/icons/chalkosin.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.803, g=0.388, b=0.215},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "chalkosin"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "chalkosin",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "chalkosin",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "chalkosin",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/chalkosin-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "cuprit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "cuprit"
   },
   {
   type = "resource",
   name = "cuprit",
   icon = "__grundoxores__/graphics/icons/cuprit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.803, g=0.388, b=0.215},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "cuprit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "cuprit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "cuprit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "cuprit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/cuprit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)

data:extend(
{
   {
   type = "autoplace-control",
   name = "malachit",
   richness = true,
   order = "b-e"
   },
   {
   type = "noise-layer",
   name = "malachit"
   },
   {
   type = "resource",
   name = "malachit",
   icon = "__grundoxores__/graphics/icons/malachit.png",
   flags = {"placeable-neutral"},
   order="a-b-a",
   map_color = {r=0.803, g=0.388, b=0.215},
   minable =
   {
     hardness = 1,
     mining_particle = "haematit-particle",
     mining_time = 1.5,
     result = "malachit"
   },
   collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
   selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
   autoplace =
   {
      control = "malachit",
      sharpness = 1,
      richness_multiplier = 1500,
      richness_multiplier_distance_bonus = 20,
      richness_base = 500,
      coverage = 0.02,
      peaks = {
         {
            noise_layer = "malachit",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            noise_layer = "malachit",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         },
         {
            influence = 0.15,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
         }
      }
   },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
   stages =
   {
     sheet =
     {
      filename = "__grundoxores__/graphics/entity/ores/malachit-ore.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 4,
      variation_count = 8
     }
   },
  },
}
)
